Package org.springframework.dao

# Class InvalidDataAccessResourceUsageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.InvalidDataAccessResourceUsageException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IncorrectUpdateSemanticsDataAccessException`, `TypeMismatchDataAccessException`

public class InvalidDataAccessResourceUsageException extends NonTransientDataAccessException
Root for exceptions thrown when we use a data access resource incorrectly. Thrown for example on specifying bad SQL when using a RDBMS. Resource-specific subclasses are supplied by concrete data access packages.

Author:
  Rod Johnson
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidDataAccessResourceUsageException(String msg)`
Constructor for InvalidDataAccessResourceUsageException.
`InvalidDataAccessResourceUsageException(String msg, Throwable cause)`
Constructor for InvalidDataAccessResourceUsageException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidDataAccessResourceUsageException

public InvalidDataAccessResourceUsageException(@Nullable String msg)
Constructor for InvalidDataAccessResourceUsageException.

Parameters:
  `msg` - the detail message

### InvalidDataAccessResourceUsageException

public InvalidDataAccessResourceUsageException(@Nullable String msg, @Nullable Throwable cause)
Constructor for InvalidDataAccessResourceUsageException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use